import dynamix_sdk.base as _base


class CloudbrokerAccountDeleteResultStr(_base.BaseAPIResultStr):
    pass


class CloudbrokerAccountDeleteProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def delete(
        self,
        *,
        account_id: int,
        permanently: bool = False,
        account_name: str | None = None,
    ) -> CloudbrokerAccountDeleteResultStr:
        ...
